# $Revision: 1.61 $, $Date: 2011/07/24 17:06:07 $
#
# Conditional build:
%bcond_with	mmx	# use MMX in rtjpeg plugin (no runtime detection)
%bcond_without	ffmpeg	# ffmpeg plugin
%bcond_without	gpl	# build LGPL library (disables some plugins)

%ifarch athlon pentium3 pentium4 %{x8664}
%define		with_mmx	1
%endif
Summary:	Library for reading and writing quicktime files
Summary(pl.UTF-8):	Biblioteka do odczytu i zapisu plików quicktime
Name:		libquicktime
Version:	1.2.3
Release:	3
%if %{with gpl}
License:	GPL v2+
%else
License:	LGPL v2.1+
%endif
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libquicktime/%{name}-%{version}.tar.gz
# Source0-md5:	9a82a1546408605ea8337b3a7c78786e
Patch0:		%{name}-ffmpeg07.patch
URL:		http://libquicktime.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%if %{with gpl}
BuildRequires:	faac-devel >= 1.24
BuildRequires:	faad2-devel >= 2.0
%endif
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel >= 0.7.1}
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	lame-libs-devel >= 3.93
BuildRequires:	libavc1394-devel >= 0.3.1
BuildRequires:	libdv-devel >= 0.102
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel >= 2:1.2.23
BuildRequires:	libraw1394-devel >= 0.9
BuildRequires:	libtool
BuildRequires:	libvorbis-devel >= 1:1.0
# pkgconfig: x264 >= 0.48
BuildRequires:	libx264-devel >= 0.1.2-1.20060828_2245
BuildRequires:	pkgconfig
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	schroedinger-devel >= 1.0.5
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
%if "%{pld_release}" == "ac"
BuildRequires:	XFree86-devel
%else
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-libXv-devel
%endif
Obsoletes:	libquicktime-firewire
Obsoletes:	libquicktime-firewire-devel
Obsoletes:	libquicktime-firewire-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libquicktime is a library for reading and writing quicktime files. It
is based on the quicktime4linux library, with the following
extensions:
- Sourcetree upgraded with autoconf/automake/libtool and all the other
  stuff, people like in "standard" Linux libraries.
- All 3rd party libraries (jpeg, OggVorbis) were removed to reduce
  download size, compilation time and code duplication on users
  harddisks. Instead, the sytemwide installed libraries are used.
- All codecs have been moved into dynamically loadable modules. This
  makes it possible to distribute closed source codecs (or codecs with
  an incompatible license) as separate packages.
- Unlike other quicktime libraries, it's source compatible with
  quicktime4linux. Programs like cinelerra or xmovie can be compiled
  with libquicktime.
- The codecs themselves are also source compatible with
  quicktime4linux, so porting codecs between quicktime4linux and
  libquicktime requires only little brain load.
- Special API extensions allow access to the codec registry.
  Applications can get important information about the codecs, their
  settable parameters etc. at runtime.

%description -l pl.UTF-8
libquicktime to biblioteka do odczytu i zapisu plików quicktime. Jest
oparta na bibliotece quicktime4linux z następującymi zmianami:
- drzewo źródeł zostało przerobione na używanie
  autoconfa/automake'a/libtola itp. narzędzi, tak jak w standardowych
  bibliotekach linuksowych
- wszystkie zewnętrzne biblioteki (jpeg, OggVorbis) zostały usunięte w
  celu zmniejszenia ilości danych do ściągania, czasu kompilacji i
  powielonego kodu na dyskach użytkowników; zamiast tego używane są
  biblioteki systemowe
- wszystkie kodeki zostały przeniesione do dynamicznie ładowanych
  modułów; pozwala to rozprowadzać kodeki bez źródeł (lub kodeki z
  niekompatybilnymi licencjami) jako osobne pakiety
- w przeciwieństwie do innych bibliotek quicktime jest źródłowo
  kompatybilna z quicktime4linux; programy takie jak cinelerra czy
  xmovie mogą być kompilowane z libquicktime
- kodeki także są źródłowo kompatybilne z quicktime4linux, więc
  przenoszenie kodeków pomiędzy quicktime4linux i libquicktime nie
  wymaga zbyt wiele pracy
- dodano specjalne rozszerzenia API pozwalające na dostęp do rejestru
  kodeków; aplikacje mogą pobierać ważne informacje o kodekach, ich
  parametry itp. w czasie działania aplikacji.

%package devel
Summary:	Header files for libquicktime library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libquicktime
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	zlib-devel
Obsoletes:	quicktime4linux-devel

%description devel
Header files for libquicktime library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libquicktime.

%package static
Summary:	Static libquicktime library
Summary(pl.UTF-8):	Statyczna biblioteka libquicktime
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	quicktime4linux-static

%description static
Static libquicktime library.

%description static -l pl.UTF-8
Statyczna biblioteka libquicktime.

%package utils
Summary:	libquicktime utilities
Summary(pl.UTF-8):	Narzędzia do libquicktime
Group:		Applications/Multimedia
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+2 >= 2:2.4.0

%description utils
libquicktime utilities.

%description utils -l pl.UTF-8
Narzędzia do libquicktime.

%package dv
Summary:	DV plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka DV dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description dv
DV plugin for libquicktime.

%description dv -l pl.UTF-8
Wtyczka DV dla libquicktime.

%package faac
Summary:	faac plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka faac dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description faac
faac plugin for libquicktime.

%description faac -l pl.UTF-8
Wtyczka faac dla libquicktime.

%package faad2
Summary:	faad2 plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka faad2 dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description faad2
faad2 plugin for libquicktime.

%description faad2 -l pl.UTF-8
Wtyczka faad2 dla libquicktime.

%package ffmpeg
Summary:	ffmpeg plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka ffmpeg dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description ffmpeg
ffmpeg plugin for libquicktime.

%description ffmpeg -l pl.UTF-8
Wtyczka ffmpeg dla libquicktime.

%package lame
Summary:	lame plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka lame dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description lame
lame plugin for libquicktime.

%description lame -l pl.UTF-8
Wtyczka lame dla libquicktime.

%package vorbis
Summary:	Ogg Vorbis plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka Ogg Vorbis dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description vorbis
Ogg Vorbis plugin for libquicktime.

%description vorbis -l pl.UTF-8
Wtyczka Ogg Vorbis dla libquicktime.

%package x264
Summary:	X264 plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka X264 dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libx264 >= 0.1.2-1.20060430_2245

%description x264
X264 plugin for libquicktime.

%description x264 -l pl.UTF-8
Wtyczka X264 dla libquicktime.

%package schroedinger
Summary:	schroedinger plugin for libquicktime
Summary(pl.UTF-8):	Wtyczka schroedinger dla libquicktime
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description schroedinger
schroedinger plugin for libquicktime.

%description schroedinger -l pl.UTF-8
Wtyczka schroedinger dla libquicktime.

%prep
%setup -q
%patch0 -p1

%{__rm} m4/libtool.m4 m4/lt*.m4 m4/vorbis.m4

# evil, sets CFLAGS basing on /proc/cpuinfo, overrides our optflags
# (--with-cpuflags=none disables using /proc/cpuinfo, but not overriding)
sed -i -e '19,$d;18aAC_DEFUN([LQT_OPT_CFLAGS],[OPT_CFLAGS="$CFLAGS"])' m4/lqt_opt_cflags.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	ac_cv_lib_iconv_libiconv_close=no \
	%{?with_gpl:--enable-gpl} \
	%{!?with_mmx:--disable-mmx} \
	--enable-static \
	--with-vorbis \
	--without-doxygen \
	--with-libdv
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libquicktime/*.{la,a}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO
# R: zlib
%attr(755,root,root) %{_libdir}/libquicktime.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libquicktime.so.0
%dir %{_libdir}/libquicktime
%attr(755,root,root) %{_libdir}/libquicktime/lqt_audiocodec.so
# R: libjpeg
%attr(755,root,root) %{_libdir}/libquicktime/lqt_mjpeg.so
# R: libpng
%attr(755,root,root) %{_libdir}/libquicktime/lqt_png.so
%attr(755,root,root) %{_libdir}/libquicktime/lqt_rtjpeg.so
%attr(755,root,root) %{_libdir}/libquicktime/lqt_videocodec.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime.so
%{_libdir}/libquicktime.la
%{_includedir}/lqt
%{_pkgconfigdir}/libquicktime.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libquicktime.a

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libquicktime_config
%attr(755,root,root) %{_bindir}/lqtplay
%attr(755,root,root) %{_bindir}/lqtremux
%attr(755,root,root) %{_bindir}/lqt_transcode
%attr(755,root,root) %{_bindir}/qt2text
%attr(755,root,root) %{_bindir}/qtdechunk
%attr(755,root,root) %{_bindir}/qtdump
%attr(755,root,root) %{_bindir}/qtinfo
%attr(755,root,root) %{_bindir}/qtrechunk
%attr(755,root,root) %{_bindir}/qtstreamize
%attr(755,root,root) %{_bindir}/qtyuv4toyuv
%{_mandir}/man1/lqtplay.1*

%files dv
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_dv.so

%if %{with gpl}
%files faac
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_faac.so

%files faad2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_faad2.so
%endif

%if %{with ffmpeg}
%files ffmpeg
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_ffmpeg.so
%endif

%files lame
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_lame.so

%files vorbis
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_vorbis.so

%files schroedinger
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_schroedinger.so

%if %{with gpl}
%files x264
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libquicktime/lqt_x264.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libquicktime.spec,v $
Revision 1.61  2011/07/24 17:06:07  arekm
- rel 3; --with-vorbis (causes -L/usr/lib not to be added to linker)

Revision 1.60  2011/07/24 15:53:40  arekm
- release 2

Revision 1.59  2011/07/24 14:10:57  qboosh
- updated to 1.2.3
- updated ffmpeg07 patch, removed obsolete gtk patch

Revision 1.58  2011/07/06 07:58:21  lisu
- update ffmpeg-devel BR

Revision 1.57  2011/07/01 13:11:06  lisu
- fix build with ffmpeg >= 0.7.1

Revision 1.56  2011/06/28 17:54:36  arekm
- release 3

Revision 1.55  2011/03/29 07:11:02  arekm
- release 2

Revision 1.54  2010/12/17 16:51:46  qboosh
- updated to 1.2.1
- added gtk patch (GTK+ API update found on some lqt list)

Revision 1.53  2010/08/25 07:38:23  glen
- release 2

Revision 1.52  2010/08/25 07:38:10  glen
- ac compat

Revision 1.51  2010/08/25 07:36:50  glen
- remove libtool m4 macro copies

Revision 1.50  2010/06/23 08:40:24  sls
- ver. 1.1.5

Revision 1.49  2010/04/26 07:40:14  arekm
- release 5

Revision 1.48  2010/01/28 19:00:00  arekm
- release 4

Revision 1.47  2010/01/10 23:39:06  hawk
- added version schroedinger-devel BR

Revision 1.46  2010/01/10 22:10:26  hawk
- release 2

Revision 1.45  2010/01/09 14:09:12  arekm
- up to 1.1.4

Revision 1.44  2009/11/19 22:21:41  arekm
- release 8

Revision 1.43  2009/07/11 19:55:48  arekm
- release 7

Revision 1.42  2008/11/07 20:54:16  arekm
- release 6

Revision 1.41  2008/11/02 19:28:24  arekm
- rel 5; fix build with new libx264

Revision 1.40  2008/10/25 21:30:35  arekm
- release 4

Revision 1.39  2008/10/14 23:34:53  glen
- release 3

Revision 1.38  2008/10/12 09:38:24  charles
- added -ffmpeg.patch (fixed build with new ffmpeg)

Revision 1.37  2008/10/06 06:33:28  hawk
- release 2

Revision 1.36  2008/08/27 20:10:14  qboosh
- updated to 1.0.3
- removed obsolete ffmpeg patch
- avoid linking with libiconv

Revision 1.35  2008/08/27 09:29:54  pluto
- fix build with recent ffmpeg.

Revision 1.34  2008/08/26 18:21:45  arekm
- release 3

Revision 1.33  2008-04-10 16:14:47  qboosh
- back to consistent package/files order

Revision 1.32  2008-04-10 11:49:28  tommat
- without gpl disables x264 too

Revision 1.31  2008-02-07 13:33:18  glen
- rel 2 (ffmpeg)

Revision 1.30  2008-01-14 19:52:03  qboosh
- updated to 1.0.2

Revision 1.29  2007-11-18 18:11:07  arekm
- rel 2

Revision 1.28  2007-11-04 15:22:40  qboosh
- License versions

Revision 1.27  2007/10/28 14:47:24  sls
- ver. 1.0.1
- config.rpath hack
- removed obsolate link.patch and gtktooltip_2_12.patch

Revision 1.26  2007/10/28 14:13:49  sls
- added gtktooltip_2_12.patch

Revision 1.25  2007/04/25 18:53:52  qboosh
- updated to 1.0.0
- removed obsolete x264 patch

Revision 1.24  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.22  2006/12/21 17:48:17  sls
- added patch x264
- rel. up to 2

Revision 1.21  2006/09/04 17:36:05  qboosh
- updated to 0.9.10
- opendivx plugin is gone, x264 plugin needs new libx264 snap

Revision 1.20  2006/07/02 20:40:57  qboosh
- updated to 0.9.9

Revision 1.19  2006/03/12 12:57:19  pluto
- modular xorg deps.

Revision 1.18  2006/01/29 22:28:25  charles
- BR: pkgconfig

Revision 1.17  2006/01/29 17:45:40  qboosh
- updated to 0.9.8, removed obsolete ffmpeg patch
- firewire* packages are gone, added faac,faad2 plugins (GPL-only)

Revision 1.16  2005/11/01 19:44:05  qboosh
- updated ffmpeg BR

Revision 1.15  2005/10/30 22:18:11  arekm
- now we have proper ffmpeg

Revision 1.14  2005/10/30 16:51:34  arekm
- disable ffmpeg since we don't have such ffmpeg

Revision 1.13  2005/10/30 12:25:08  arekm
- rel 4

Revision 1.12  2005/10/26 19:37:11  qboosh
- added ffmpeg patch - now ffmpeg plugin can be built (with DEVEL ffmpeg)
- separated firewire lib and plugins with additional dependencies
- -devel,-static Obsoletes: quicktime4linux-* for easy switching

Revision 1.11  2005/10/11 09:13:07  qboosh
- release 3

Revision 1.10  2005/10/11 09:12:43  qboosh
- added link patch to kill unnecessary glib 1.x dependency
- kill evil CFLAGS set by configure (depending on cpuinfo)
- don't use MMX in rtjpeg by default on i[56]86 (no runtime detection)
- updated BRs

Revision 1.9  2005/10/10 08:18:40  qboosh
- pl, use _pkgconfigdir macro

Revision 1.8  2005/10/09 17:04:12  glen
- remove duplicate file; rel 2

Revision 1.7  2005/10/09 16:54:35  glen
- lqt_rtjpeg.so available in all pld builder arches, remove ifarch

Revision 1.6  2005/10/09 15:17:54  glen
- rel 1

Revision 1.5  2005/10/09 13:47:11  glen
- refresh config.sub
- rtjpeg available on amd64 too

Revision 1.4  2005/10/09 13:32:01  glen
- up to 0.9.7
- NB includedir has changed
- pkgconfig available

Revision 1.3  2005/03/22 19:34:26  saq
- BR: lame-libs-devel by Tomasz Rutkowski

Revision 1.2  2004/08/03 17:32:41  qboosh
- up to 0.9.3, step forward - now builds

Revision 1.1  2003/11/26 22:33:41  qboosh
- new; NFY, doesn't build - saving work
